
Foreman - Feature #6608

expose datastore free space through API

07/14/2014 05:33 PM - Greg Petras

Status: Closed   

Priority: Normal   

Assignee: Greg Petras   

Category: API   

Target version: 1.6.0   

Difficulty: easy Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/1585

  

Description

Currently the available_storage_domains API only returns the name and the ID of each storage_domain (datastore, if using

VMware). Because fog returns the freespace, capacity, and uncommitted values, this should be relatively easy to implement.

Associated revisions

Revision a52580f5 - 08/15/2014 08:12 AM - Greg Petras

Fixes #6608 - expose disk usage info through available_storage_domains API

Revision 20d4bfd5 - 08/27/2014 08:02 AM - Greg Petras

Fixes #6608 - expose disk usage info through available_storage_domains API

(cherry picked from commit a52580f5e9e3ef9d7f60bede8b0b1bed4f2005a9)

History

#1 - 07/14/2014 05:42 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Target version set to 1.8.0

- Pull request https://github.com/theforeman/foreman/pull/1585 added

- Pull request deleted ()

#2 - 07/30/2014 06:50 AM - Anonymous

- Target version changed from 1.8.0 to 1.7.5

#3 - 08/15/2014 08:08 AM - Dominic Cleal

- translation missing: en.field_release set to 21

#4 - 08/15/2014 09:02 AM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset a52580f5e9e3ef9d7f60bede8b0b1bed4f2005a9.

#5 - 08/27/2014 04:00 AM - Dominic Cleal

- translation missing: en.field_release changed from 21 to 10
